fn menuCallback = 
(
	macroScript RenderBuzz category:"RenderBuzzScript"
	(
        filein ((getdir #userscripts) + @"\RenderBuzz\RenderBuzz.mse")
	)
	
	local menuMgr = callbacks.notificationParam()
	local mainMenuBar = menuMgr.mainMenuBar
	
	local helpMenuId = "cee8f758-2199-411b-81e7-d3ff4a80d143"
	local menu = mainMenuBar.CreateSubMenu "02D254D1-3600-4F7D-8EDD-099437E37F50" "Renderbuzz" beforeId:helpMenuId
	
	local macroScriptTableId = 647394
	local macroScriptTestActionId = "RenderBuzz`RenderBuzzScript" 

	menu.CreateAction "FAD41470-D786-49C2-88BF-EDA0B5945CB1" macroScriptTableId macroScriptTestActionId title:"Render with RenderBuzz..."

    local iCuiMenuMgr = maxops.GetICuiMenuMgr()
    local renderMenuId = "341703ab-b8d2-4af9-bb43-6a3d0b2cb51b"
	local renderMenu = iCuiMenuMgr.GetMenuById renderMenuId
    local rederCloudId = "b57d8aab-0035-469f-b598-14e1bc953722"

	renderMenu.CreateAction "BDFFD69B-5510-4174-989E-84DB39BABA92" macroScriptTableId macroScriptTestActionId beforeId:rederCloudId title:"Render with RenderBuzz..." 
)

callbacks.removeScripts id:#menuRenderBuzz
callbacks.addScript #cuiRegisterMenus menuCallback id:#menuRenderBuzz	